public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/qiskit-terra/
Date: Sun,  6 Nov 2022 14:06:30 +0000 (UTC)	[thread overview]
Message-ID: <1667743587.31950d58c54ab9c23f1b5487ab9db2d0b3c5aaec.mgorny@gentoo> (raw)

commit:     31950d58c54ab9c23f1b5487ab9db2d0b3c5aaec
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  6 14:03:59 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov  6 14:06:27 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31950d58

dev-python/qiskit-terra: Use EPYTEST_*, fix tests

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../qiskit-terra/qiskit-terra-0.22.0-r1.ebuild     | 25 ++++++++++------------
 1 file changed, 11 insertions(+), 14 deletions(-)

diff --git a/dev-python/qiskit-terra/qiskit-terra-0.22.0-r1.ebuild b/dev-python/qiskit-terra/qiskit-terra-0.22.0-r1.ebuild
index fd442eceacd3..b25eb56cf16e 100644
--- a/dev-python/qiskit-terra/qiskit-terra-0.22.0-r1.ebuild
+++ b/dev-python/qiskit-terra/qiskit-terra-0.22.0-r1.ebuild
@@ -123,25 +123,22 @@ BDEPEND="
 
 distutils_enable_tests pytest
 
-# Small issues with the tests.
-# qiskit.Aer module depends on qiskit-terra, it cannot be used,
-# and an exact comparison of float switched to approximate comparison.
-#PATCHES=( "${FILESDIR}/qiskit-terra-0.19.2-test-corrections.patch" )
-
 src_prepare() {
 	find -name '*.py' -exec sed -i -e 's:retworkx:rustworkx:' {} + || die
 	distutils-r1_src_prepare
 }
 
 python_test() {
-	# We have to hide the source code directory so tests
-	# do not use these, but instead the compiled library.
-	mv qiskit qiskit.hidden || die
-
-	# Some small tests are failing which test optional features.
-	# Why they fail is still under investigation.
-	# transpiler_equivalence tests take too long time, they are also skipped.
-	epytest -n "$(makeopts_jobs)" -k 'not (TestOptions and test_copy) and not TestUnitarySynthesisPlugin and not test_transpiler_equivalence and not (TestPauliSumOp and test_to_instruction)'
+	local EPYTEST_DESELECT=(
+		# TODO
+		test/python/transpiler/test_unitary_synthesis_plugin.py::TestUnitarySynthesisPlugin
+		test/python/transpiler/test_unitary_synthesis.py::TestUnitarySynthesis::test_two_qubit_synthesis_not_pulse_optimal
+	)
+	local EPYTEST_IGNORE=(
+		# TODO, also apparently slow
+		test/randomized/test_transpiler_equivalence.py
+	)
 
-	mv qiskit.hidden qiskit || die
+	rm -rf qiskit || die
+	epytest -p xdist -n "$(makeopts_jobs)"
 }


             reply	other threads:[~2022-11-06 14:06 UTC|newest]

Thread overview: 46+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-06 14:06 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-31  5:22 [gentoo-commits] repo/gentoo:master commit in: dev-python/qiskit-terra/ Michał Górny
2024-05-28 15:27 Michał Górny
2024-05-12 13:05 Michał Górny
2024-03-09  7:18 Michał Górny
2024-02-26 14:25 Michał Górny
2024-02-02 13:24 Michał Górny
2024-02-01  4:47 Michał Górny
2024-01-19  5:10 Michał Górny
2023-12-22 16:43 Michał Górny
2023-11-30 14:14 Michał Górny
2023-11-05 20:58 Michał Górny
2023-11-05 20:58 Michał Górny
2023-10-26  3:12 Michał Górny
2023-10-03  5:11 Michał Górny
2023-08-29 16:20 Michał Górny
2023-08-29 16:20 Michał Górny
2023-08-29 11:20 Michał Górny
2023-08-29 11:20 Michał Górny
2023-07-31  9:05 Michał Górny
2023-07-31  9:05 Michał Górny
2023-06-18 19:01 Michał Górny
2023-06-18 19:01 Michał Górny
2023-06-07 14:37 Sam James
2023-05-04 16:56 Michał Górny
2023-04-08  6:08 Michał Górny
2023-03-22 10:00 Sam James
2023-03-22  9:20 Sam James
2023-03-16 16:35 Michał Górny
2023-02-26  0:30 Sam James
2023-02-23 22:19 Sam James
2023-02-23 20:31 Sam James
2023-02-23 20:29 Sam James
2023-02-22 18:02 Sam James
2023-02-01 13:18 Michał Górny
2023-01-27 10:52 Michał Górny
2022-12-07 15:59 Michał Górny
2022-12-07 15:59 Michał Górny
2022-11-24  9:50 Sam James
2022-11-06 19:01 Michał Górny
2022-11-06 16:57 Michał Górny
2022-11-06 14:06 Michał Górny
2022-10-30 21:09 Sam James
2022-10-30 20:41 Sam James
2022-10-30 20:41 Sam James
2022-08-08  6:08 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1667743587.31950d58c54ab9c23f1b5487ab9db2d0b3c5aaec.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox